# QGraphicsWebView Class Reference

### [com.trolltech.qt.webkit package]

Inherits QGraphicsWidget.

### Constructor

- void QGraphicsWebView(QGraphicsItem parent)

### Constructor Properties

- prototype: The QGraphicsWebView prototype object

### Prototype Object Properties

The QGraphicsWebView prototype object inherits properties from the QGraphicsWidget prototype object and also has the following properties.

- bool findText(String subString, FindFlags options)
- QWebHistory history()
- void load(QNetworkRequest request, Operation operation, QByteArray body)
- QWebPage page()
- QAction pageAction(WebAction action)
- void setContent(QByteArray data, String mimeType, QUrl baseUrl)
- void setHtml(String html, QUrl baseUrl)
- void setPage(QWebPage arg__1)
- void setRenderHint(RenderHint arg__1, bool enabled)
- QWebSettings settings()
- void triggerPageAction(WebAction action, bool checked)

### Instance Properties

QGraphicsWebView objects inherit properties from the QGraphicsWebView prototype object and also have the following properties.

- title
- icon
- zoomFactor
- url
- modified
- resizesToContents
- tiledBackingStoreFrozen
- renderHints